Subject: Re: [Netconf] Action by Spet 4th: NetConf interop testing - doodle poll

From: Andy Bierman <[email-masked]>
Date: Mon, 3 Sep 2012 10:06:39 -0700

On Fri, Aug 31, 2012 at 1:13 PM, Martin Bjorklund <[email-masked]> wrote:
> Andy Bierman <[email-masked]> wrote:
>> On Fri, Aug 31, 2012 at 9:28 AM, David Reid <[email-masked]> wrote:
>> >> If you plan to participate,
>> >> PLEASE fill out the doodle poll no later than Sept 4
>> >
>> > I filled out the doodle poll, although I'm not yet sure if I can
>> > participate.
>
> Great if you can be there!
>
>
>> > There are a few issues that have been brought up on the list which would be
>> > helpful to resolve soon such as:
>> >
>> > What tests do we want to run?
>>
>> Various people have some proprietary test tools.
>> There are various real applications that can
>> supposedly manage real servers.
>> We need some content to test the operations
>> in RFC 6241.
>>
>> > What Yang modules will we use?
>
> Some (generic) implementations can work with any modules, and some
> implement a fixed set of modules.  I think each implementation has to
> share the data models they implement with the others.  For the generic
> implementation, we can pick some of the standard (or draft) modules.
> But we need to know well in advance, so that we can adapt our test
> programs.
>

We can use any dummy module to test NETCONF, otherwise
we would be expanding the test to include testing some content.

Since you have a test-script that checks ietf-netconf-monitoring
conformance, why not see if we can get an interop report
for RFC 6022 as well?  Did anybody else implement it?

> /martin

Andy

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 3 Sep 2012 21:02:40 +0200

> for RFC 6022 as well?  Did anybody else implement it?

I think there is nothing config true in ietf-netconf-monitoring if I
recall correctly. I think we better choose a data model with config
true nodes.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Andy Bierman <[email-masked]>
Date: Mon, 3 Sep 2012 12:08:28 -0700

> recall correctly. I think we better choose a data model with config

Agreed.  This module is read-only, but we can test
subtree and XPath filtering with readd-only nodes.

NACM (RFC 6536) has config=true nodes.

Andy

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 03 Sep 2012 21:29:29 +0200 (CEST)

> recall correctly. I think we better choose a data model with config

We should do both.  ietf-netconf-monitoring can be tested in itself,
and it can be used to test <get> with filters.

/martin

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Wed, 05 Sep 2012 17:02:11 +0200

The doodle poll shows that Saturday and Sunday before the IETF
in Atlanta are the best times. See the results yourself at:

      http://www.doodle.com/nibe3k4c4zuq84mw

So set your calendars and arrange your travel for that event
on Nov 3/4 from 9-5 each day.

We are trying to get/arrange space at the IETF hotel, but we
have not secured that space yet. A fallback is to go to NSN
facilities just at the outskirts of Atlanta. We hope to
have a final decision on the location in the next week or 2.

People who still want to register their intent to participate
can do so at the doodle poll. We will only accept participant
who will bring an implementation ready for testing! I.e. we
are unable to cater for visitors or observers. The WG chairs
will serve as observers to make sure that the reports are
properly done.

More info later.

Bert and Mehmet

On 8/31/12 9:22 AM, Bert Wijnen (IETF) wrote:
> Several of the implementers have already agreed to come together
> for an Interop Test event just before the Atlanta IETF.
>
> I created a DOODLE poll to check for the best dates.
> If you want to come with your implementation to test,
> pls go to the doodle poll and express if you prefer
> Friday/Saturday (2-3 Nov) or Saturday/Sunday (3-4 Nov).
> PLEASE do so no later than Sept 4th 2012.
>
> The Event will either be at the IETF hotel or at an NSN facility
> in Atalanta (but a bit away from the IETF hotel).
>
> http://www.doodle.com/nibe3k4c4zuq84mw
>
> Bert